package net.cobem.grizzly.habbohotel.rooms.items.interactions.misc;

import net.cobem.grizzly.habbohotel.effects.EffectType;
import net.cobem.grizzly.habbohotel.rooms.items.FloorItem;
import net.cobem.grizzly.habbohotel.rooms.items.interactions.Interaction;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class WaterInteraction implements Interaction {
    @Override
    public void onPlace(Session Session, Object Item) {

    }

    @Override
    public void onRemove(Session Session, Object Item) {

    }

    @Override
    public void onTrigger(Session Session, Object Item, int Request) {
        FloorItem RoomItem = (FloorItem) Item;

        switch (RoomItem.getBase().ItemTitle) {
            case "bw_water_1":
                Session.effect(EffectType.SWIMMING_IN_WATER);
                break;

            case "bw_water_2":
            case "hween10_pond":
                Session.effect(EffectType.SWIMMING_IN_WATER2);
                break;
        }
    }

    @Override
    public void onCycle(Object Item) {
        //To change body of implemented methods use File | Settings | File Templates.
    }
}
